com.saxonica.schema

## Class AttributeWildcard

- java.lang.Object
- - com.saxonica.schema.SchemaStructure
  - - com.saxonica.schema.AttributeWildcard

- All Implemented Interfaces:
    UserSchemaComponent, Serializable, SourceLocator, SchemaComponent

      public class AttributeWildcard
      extends SchemaStructure
      implements UserSchemaComponent

  This class represents an xs:anyAttribute element in the schema.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from interface net.sf.saxon.type.SchemaComponent

      `COMPONENT_FUNCTION_TYPE, FIXED_UP, INCOMPLETE, INVALID, UNVALIDATED, VALIDATED, VALIDATING`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AttributeWildcard(EnterpriseConfiguration config)`
    `AttributeWildcard(Wildcard wc)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `FunctionItem` | `getComponentAsFunction()` Get the schema component in the form of a function item.
    `int` | `getValidationStatus()` Get the validation status of this component.
    `Wildcard` | `getWildcard()`
    `void` | `serialize(SchemaModelSerializer serializer)` Serialize this schema component
    `void` | `setWildcard(Wildcard wildcard)`
    `boolean` | `validate(SchemaCompiler compiler)` Validate that this AttributeWildcard obeys the schema consistency rules.

    - ### Methods inherited from class com.saxonica.schema.SchemaStructure

      `elaborate, fixup, getColumnNumber, getConfiguration, getFixupStatus, getLineNumber, getPublicId, getRedefinitionLevel, getSchemaDocumentURI, getSystemId, lookForCycles, makeXPathExpressionPropertyRecord, setConfiguration, setFixupStatus, setLineNumber, setLocator, setRedefinitionLevel, setSchemaDocumentURI, setSystemId, setValidationStatus`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.saxonica.schema.UserSchemaComponent

      `elaborate, fixup, lookForCycles`

    - ### Methods inherited from interface net.sf.saxon.type.SchemaComponent

      `getRedefinitionLevel`

- - ### Constructor Detail

    - #### AttributeWildcard

          public AttributeWildcard(EnterpriseConfiguration config)

    - #### AttributeWildcard

          public AttributeWildcard(Wildcard wc)

  - ### Method Detail

    - #### setWildcard

          public void setWildcard(Wildcard wildcard)

    - #### getWildcard

          public Wildcard getWildcard()

    - #### validate

          public boolean validate(SchemaCompiler compiler)
                           throws SchemaException

      Validate that this AttributeWildcard obeys the schema consistency rules. Any errors are notified to the ErrorListener, and result in the method returning false.
      Specified by:
        `validate` in interface `UserSchemaComponent`
      Parameters:
        `compiler` - used for error reporting
      Returns:
        false if any errors were found, true if everything is OK
      Throws:
        `SchemaException` - if the error listener decided to treat the error as fatal.

    - #### serialize

          public void serialize(SchemaModelSerializer serializer)
                         throws XPathException

      Serialize this schema component
      Parameters:
        `serializer` - the object that does the serialization
      Throws:
        `XPathException` - if serialization fails

    - #### getComponentAsFunction

          public FunctionItem getComponentAsFunction()

      Get the schema component in the form of a function item. This allows schema information to be made visible to XSLT or XQuery code. The function makes available the contents of the schema component as defined in the XSD specification. The function takes a string as argument representing a property name, and returns the corresponding property of the schema component. There is also a property "class" which returns the kind of schema component, for example "Attribute Declaration".
      Specified by:
        `getComponentAsFunction` in interface `SchemaComponent`
      Returns:
        the schema component represented as a function from property names to property values.

    - #### getValidationStatus

          public int getValidationStatus()

      Get the validation status of this component.
      Specified by:
        `getValidationStatus` in interface `SchemaComponent`
      Overrides:
        `getValidationStatus` in class `SchemaStructure`
      Returns:
        one of the values `SchemaComponent.UNVALIDATED`, `SchemaComponent.VALIDATING`, `SchemaComponent.VALIDATED`, `SchemaComponent.INVALID`, `SchemaComponent.INCOMPLETE`

Copyright (c) 2004-2013 Saxonica Limited. All rights reserved.